PCAP2MJR(1)

NAME
pcap2mjr - Helper tool to convert a pcap dump to a Janus recording.

SYNOPSIS
pcap2mjr [options] source.pcap destination.mjr

DESCRIPTION
pcap2mjr is a simple utility that allows you take .pcap network captures, extract a specific RTP session via its SSRC, and convert it to an .mjr Janus recording instead. Its main purpose is helping convert .pcap captures to media files, or make it easier to replay them via Janus.

The tool requires a path to the .pcap file to read, and a path to the target .pcap file; besides, it needs info on the codec and the SSRC to filter. Notice that if the tool can't detect any RTP packet with that SSRC, it will result in an error: if you want the tool to autodetect an RTP stream, pass 0.

OPTIONS

-h, --help
    Print help and exit

-V, --version
    Print version and exit

-c, --codec=codec
    Codec the recording will contain (e.g., opus, vp8, etc.)

-s, --ssrc=SSRC(numeric)
    SSRC of the packets in the pcap file to save (pass 0 to autodetected)

-w, --warnings
    Show warnings for skipped packets (e.g., not RTP or wrong SSRC)

EXAMPLES
pcap2mjr -c opus -s 12345678 rec1234.pcap rec1234.mjr - Read all RTP packets with SSRC 12345678 from the provided .pcap file, and save them to a new .mjr file as an Opus recording

BUGS

If you think you found a bug or want to contribute a feature, you can issue or a pull request on https://github.com/meetecho/janus-gateway/issues.

Anyway, before doing that make sure you read the documentation at https://janus.conf.meetecho.com/docs/ and that it has not been discussed already at https://janus.discourse.group/. We only use Github for code issues, and NOT for configuration or usage issues: use the group for that.

SEE ALSO

https://github.com/meetecho/janus-gateway - Official repository

https://janus.conf.meetecho.com - Demos and documentation

https://janus.discourse.group/ - Community

https://www.meetecho.com/blog/ - Tutorials and blog posts on Janus

AUTHORS
Lorenzo Miniero (lorenzo@meetecho.com)